Skip to main content
GET
Retrieves all Billing Plans.

Headers

M1-Organization-Code
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16

Query Parameters

organizationCode
string

The aggregator organization code. Organization code must be provided either via HTTP header or query parameter. If both are provided, HTTP header will be used.

Maximum string length: 16
limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: x >= 1
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

filter
string

The filtering conditions: property names or property paths using filtering operators and values.

The supported operators are:

Precedence order for logical operators: not, and, or.

Response

JSON A list array with a data property that contains an array of up to limit Billing Plan, starting after the specified starting_after Billing Plan (or ending before the specified ending_before Account). Each entry in the array is a full Billing Plan object. If no more Billing Plan are available, the resulting array will be empty. This request should never throw an error.

  • “total_count”: Integer count of the number of Billing Plans in the returned list.

  • “url”: The query string provided in the request

  • “next”: The route (partial URL) to the next Billing Plan object (string to select the “next”); included id should match that of the last object returned here

  • “previous”: The route (partial URL) to the previous Billing Plan object (string to select the “previous”); included id should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
limit
string

A limit on the number of objects to be returned, between 1 and 100.

starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call